grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.14-45-g2df2a75


From: Jim Meyering
Subject: grep branch, master, updated. v2.14-45-g2df2a75
Date: Sat, 19 Oct 2013 22:16:20 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  2df2a752c8083c3e6046efa8a87171fb78bdf0fe (commit)
       via  2ef062fd3cce1b503132bee3a4e17b9c0e0eac28 (commit)
       via  2ba43c99fb7d443c0b907503519a9934872bcdaf (commit)
       via  5e823a2781a586de56876b572493aa26212b18db (commit)
      from  198abd506b32396a02ec7e2c23612efd96cfacef (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=2df2a752c8083c3e6046efa8a87171fb78bdf0fe


commit 2df2a752c8083c3e6046efa8a87171fb78bdf0fe
Author: Jim Meyering <address@hidden>
Date:   Mon Oct 14 11:22:22 2013 -0700

    tests: extend the multibyte-white-space test
    
    * tests/multibyte-white-space (utf8_space_characters): Add more
    single-byte whitespace characters.  Align RHS hex values and
    make the sed substitution less rigid, to accommodate.
    Also, ensure that grep '\S' exits with status 1.

diff --git a/tests/multibyte-white-space b/tests/multibyte-white-space
index df2fe1b..07ed085 100755
--- a/tests/multibyte-white-space
+++ b/tests/multibyte-white-space
@@ -14,38 +14,55 @@ require_en_utf8_locale_
 LC_ALL=en_US.UTF-8
 export LC_ALL
 
+# It would have been nice to be able to use all UTF8 characters
+# with the Unicode WSpace=Y character property,
+# https://en.wikipedia.org/wiki/Whitespace_character, but that
+# would currently cause distracting failures everywhere I've tried.
+
 # FIXME: including any the following in the list below would
 # make this test fail on Fedora 19/glibc-2.17-18.fc19.
 # Restore them to the list once it is fixed.
 these_fail_with_glibc='
-U+00A0 NO-BREAK SPACE: c2 a0
-U+2007 FIGURE SPACE: e2 80 87
-U+200B ZERO WIDTH SPACE: e2 80 8b
-U+202F NARROW NO-BREAK SPACE: e2 80 af
+U+00A0 NO-BREAK SPACE:            c2 a0
+U+2007 FIGURE SPACE:              e2 80 87
+U+200B ZERO WIDTH SPACE:          e2 80 8b
+U+202F NARROW NO-BREAK SPACE:     e2 80 af
+'
+fail_with_other='
+U+000A Line feed:                 0a
+U+0085 Next line:                 85
 '
 
-utf8_space_characters=$(sed 's/.*://;s/ /\\x/g' <<\EOF
-U+0020 SPACE: 20
-U+1680 OGHAM SPACE MARK: e1 9a 80
-U+2000 EN QUAD: e2 80 80
-U+2001 EM QUAD: e2 80 81
-U+2002 EN SPACE: e2 80 82
-U+2003 EM SPACE: e2 80 83
-U+2004 THREE-PER-EM SPACE: e2 80 84
-U+2005 FOUR-PER-EM SPACE: e2 80 85
-U+2006 SIX-PER-EM SPACE: e2 80 86
-U+2008 PUNCTUATION SPACE: e2 80 88
-U+2009 THIN SPACE: e2 80 89
-U+200A HAIR SPACE: e2 80 8a
+utf8_space_characters=$(sed 's/.*://;s/ *\</\\x/g' <<\EOF
+U+0009 Horizontal Tab:            09
+U+000B Vertical Tab:              0b
+U+000C Form feed:                 0c
+U+000D Carriage return:           0d
+U+0020 SPACE:                     20
+U+1680 OGHAM SPACE MARK:          e1 9a 80
+U+2000 EN QUAD:                   e2 80 80
+U+2001 EM QUAD:                   e2 80 81
+U+2002 EN SPACE:                  e2 80 82
+U+2003 EM SPACE:                  e2 80 83
+U+2004 THREE-PER-EM SPACE:        e2 80 84
+U+2005 FOUR-PER-EM SPACE:         e2 80 85
+U+2006 SIX-PER-EM SPACE:          e2 80 86
+U+2008 PUNCTUATION SPACE:         e2 80 88
+U+2009 THIN SPACE:                e2 80 89
+U+200A HAIR SPACE:                e2 80 8a
 U+205F MEDIUM MATHEMATICAL SPACE: e2 81 9f
-U+3000 IDEOGRAPHIC SPACE: e3 80 80
+U+3000 IDEOGRAPHIC SPACE:         e3 80 80
 EOF
 )
 
 fail=0
 
 for i in $utf8_space_characters; do
-  printf "$i\n" | grep -q '^\s$' || { warn_ "$i FAILED"; fail=1; }
+  printf "$i\n" | grep -q '^\s$' \
+      || { warn_ "$i FAILED to match \\s"; fail=1; }
+  printf "$i\n" | grep -q '\S'
+  test $? = 1 \
+      || { warn_ "$i vs. \\S FAILED"; fail=1; }
 done
 
 Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=2ef062fd3cce1b503132bee3a4e17b9c0e0eac28


commit 2df2a752c8083c3e6046efa8a87171fb78bdf0fe
Author: Jim Meyering <address@hidden>
Date:   Mon Oct 14 11:22:22 2013 -0700

    tests: extend the multibyte-white-space test
    
    * tests/multibyte-white-space (utf8_space_characters): Add more
    single-byte whitespace characters.  Align RHS hex values and
    make the sed substitution less rigid, to accommodate.
    Also, ensure that grep '\S' exits with status 1.

diff --git a/tests/multibyte-white-space b/tests/multibyte-white-space
index df2fe1b..07ed085 100755
--- a/tests/multibyte-white-space
+++ b/tests/multibyte-white-space
@@ -14,38 +14,55 @@ require_en_utf8_locale_
 LC_ALL=en_US.UTF-8
 export LC_ALL
 
+# It would have been nice to be able to use all UTF8 characters
+# with the Unicode WSpace=Y character property,
+# https://en.wikipedia.org/wiki/Whitespace_character, but that
+# would currently cause distracting failures everywhere I've tried.
+
 # FIXME: including any the following in the list below would
 # make this test fail on Fedora 19/glibc-2.17-18.fc19.
 # Restore them to the list once it is fixed.
 these_fail_with_glibc='
-U+00A0 NO-BREAK SPACE: c2 a0
-U+2007 FIGURE SPACE: e2 80 87
-U+200B ZERO WIDTH SPACE: e2 80 8b
-U+202F NARROW NO-BREAK SPACE: e2 80 af
+U+00A0 NO-BREAK SPACE:            c2 a0
+U+2007 FIGURE SPACE:              e2 80 87
+U+200B ZERO WIDTH SPACE:          e2 80 8b
+U+202F NARROW NO-BREAK SPACE:     e2 80 af
+'
+fail_with_other='
+U+000A Line feed:                 0a
+U+0085 Next line:                 85
 '
 
-utf8_space_characters=$(sed 's/.*://;s/ /\\x/g' <<\EOF
-U+0020 SPACE: 20
-U+1680 OGHAM SPACE MARK: e1 9a 80
-U+2000 EN QUAD: e2 80 80
-U+2001 EM QUAD: e2 80 81
-U+2002 EN SPACE: e2 80 82
-U+2003 EM SPACE: e2 80 83
-U+2004 THREE-PER-EM SPACE: e2 80 84
-U+2005 FOUR-PER-EM SPACE: e2 80 85
-U+2006 SIX-PER-EM SPACE: e2 80 86
-U+2008 PUNCTUATION SPACE: e2 80 88
-U+2009 THIN SPACE: e2 80 89
-U+200A HAIR SPACE: e2 80 8a
+utf8_space_characters=$(sed 's/.*://;s/ *\</\\x/g' <<\EOF
+U+0009 Horizontal Tab:            09
+U+000B Vertical Tab:              0b
+U+000C Form feed:                 0c
+U+000D Carriage return:           0d
+U+0020 SPACE:                     20
+U+1680 OGHAM SPACE MARK:          e1 9a 80
+U+2000 EN QUAD:                   e2 80 80
+U+2001 EM QUAD:                   e2 80 81
+U+2002 EN SPACE:                  e2 80 82
+U+2003 EM SPACE:                  e2 80 83
+U+2004 THREE-PER-EM SPACE:        e2 80 84
+U+2005 FOUR-PER-EM SPACE:         e2 80 85
+U+2006 SIX-PER-EM SPACE:          e2 80 86
+U+2008 PUNCTUATION SPACE:         e2 80 88
+U+2009 THIN SPACE:                e2 80 89
+U+200A HAIR SPACE:                e2 80 8a
 U+205F MEDIUM MATHEMATICAL SPACE: e2 81 9f
-U+3000 IDEOGRAPHIC SPACE: e3 80 80
+U+3000 IDEOGRAPHIC SPACE:         e3 80 80
 EOF
 )
 
 fail=0
 
 for i in $utf8_space_characters; do
-  printf "$i\n" | grep -q '^\s$' || { warn_ "$i FAILED"; fail=1; }
+  printf "$i\n" | grep -q '^\s$' \
+      || { warn_ "$i FAILED to match \\s"; fail=1; }
+  printf "$i\n" | grep -q '\S'
+  test $? = 1 \
+      || { warn_ "$i vs. \\S FAILED"; fail=1; }
 done
 
 Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=2ba43c99fb7d443c0b907503519a9934872bcdaf


commit 2df2a752c8083c3e6046efa8a87171fb78bdf0fe
Author: Jim Meyering <address@hidden>
Date:   Mon Oct 14 11:22:22 2013 -0700

    tests: extend the multibyte-white-space test
    
    * tests/multibyte-white-space (utf8_space_characters): Add more
    single-byte whitespace characters.  Align RHS hex values and
    make the sed substitution less rigid, to accommodate.
    Also, ensure that grep '\S' exits with status 1.

diff --git a/tests/multibyte-white-space b/tests/multibyte-white-space
index df2fe1b..07ed085 100755
--- a/tests/multibyte-white-space
+++ b/tests/multibyte-white-space
@@ -14,38 +14,55 @@ require_en_utf8_locale_
 LC_ALL=en_US.UTF-8
 export LC_ALL
 
+# It would have been nice to be able to use all UTF8 characters
+# with the Unicode WSpace=Y character property,
+# https://en.wikipedia.org/wiki/Whitespace_character, but that
+# would currently cause distracting failures everywhere I've tried.
+
 # FIXME: including any the following in the list below would
 # make this test fail on Fedora 19/glibc-2.17-18.fc19.
 # Restore them to the list once it is fixed.
 these_fail_with_glibc='
-U+00A0 NO-BREAK SPACE: c2 a0
-U+2007 FIGURE SPACE: e2 80 87
-U+200B ZERO WIDTH SPACE: e2 80 8b
-U+202F NARROW NO-BREAK SPACE: e2 80 af
+U+00A0 NO-BREAK SPACE:            c2 a0
+U+2007 FIGURE SPACE:              e2 80 87
+U+200B ZERO WIDTH SPACE:          e2 80 8b
+U+202F NARROW NO-BREAK SPACE:     e2 80 af
+'
+fail_with_other='
+U+000A Line feed:                 0a
+U+0085 Next line:                 85
 '
 
-utf8_space_characters=$(sed 's/.*://;s/ /\\x/g' <<\EOF
-U+0020 SPACE: 20
-U+1680 OGHAM SPACE MARK: e1 9a 80
-U+2000 EN QUAD: e2 80 80
-U+2001 EM QUAD: e2 80 81
-U+2002 EN SPACE: e2 80 82
-U+2003 EM SPACE: e2 80 83
-U+2004 THREE-PER-EM SPACE: e2 80 84
-U+2005 FOUR-PER-EM SPACE: e2 80 85
-U+2006 SIX-PER-EM SPACE: e2 80 86
-U+2008 PUNCTUATION SPACE: e2 80 88
-U+2009 THIN SPACE: e2 80 89
-U+200A HAIR SPACE: e2 80 8a
+utf8_space_characters=$(sed 's/.*://;s/ *\</\\x/g' <<\EOF
+U+0009 Horizontal Tab:            09
+U+000B Vertical Tab:              0b
+U+000C Form feed:                 0c
+U+000D Carriage return:           0d
+U+0020 SPACE:                     20
+U+1680 OGHAM SPACE MARK:          e1 9a 80
+U+2000 EN QUAD:                   e2 80 80
+U+2001 EM QUAD:                   e2 80 81
+U+2002 EN SPACE:                  e2 80 82
+U+2003 EM SPACE:                  e2 80 83
+U+2004 THREE-PER-EM SPACE:        e2 80 84
+U+2005 FOUR-PER-EM SPACE:         e2 80 85
+U+2006 SIX-PER-EM SPACE:          e2 80 86
+U+2008 PUNCTUATION SPACE:         e2 80 88
+U+2009 THIN SPACE:                e2 80 89
+U+200A HAIR SPACE:                e2 80 8a
 U+205F MEDIUM MATHEMATICAL SPACE: e2 81 9f
-U+3000 IDEOGRAPHIC SPACE: e3 80 80
+U+3000 IDEOGRAPHIC SPACE:         e3 80 80
 EOF
 )
 
 fail=0
 
 for i in $utf8_space_characters; do
-  printf "$i\n" | grep -q '^\s$' || { warn_ "$i FAILED"; fail=1; }
+  printf "$i\n" | grep -q '^\s$' \
+      || { warn_ "$i FAILED to match \\s"; fail=1; }
+  printf "$i\n" | grep -q '\S'
+  test $? = 1 \
+      || { warn_ "$i vs. \\S FAILED"; fail=1; }
 done
 
 Exit $fail

http://git.savannah.gnu.org/cgit/grep.git/commit/?id=5e823a2781a586de56876b572493aa26212b18db


commit 2df2a752c8083c3e6046efa8a87171fb78bdf0fe
Author: Jim Meyering <address@hidden>
Date:   Mon Oct 14 11:22:22 2013 -0700

    tests: extend the multibyte-white-space test
    
    * tests/multibyte-white-space (utf8_space_characters): Add more
    single-byte whitespace characters.  Align RHS hex values and
    make the sed substitution less rigid, to accommodate.
    Also, ensure that grep '\S' exits with status 1.

diff --git a/tests/multibyte-white-space b/tests/multibyte-white-space
index df2fe1b..07ed085 100755
--- a/tests/multibyte-white-space
+++ b/tests/multibyte-white-space
@@ -14,38 +14,55 @@ require_en_utf8_locale_
 LC_ALL=en_US.UTF-8
 export LC_ALL
 
+# It would have been nice to be able to use all UTF8 characters
+# with the Unicode WSpace=Y character property,
+# https://en.wikipedia.org/wiki/Whitespace_character, but that
+# would currently cause distracting failures everywhere I've tried.
+
 # FIXME: including any the following in the list below would
 # make this test fail on Fedora 19/glibc-2.17-18.fc19.
 # Restore them to the list once it is fixed.
 these_fail_with_glibc='
-U+00A0 NO-BREAK SPACE: c2 a0
-U+2007 FIGURE SPACE: e2 80 87
-U+200B ZERO WIDTH SPACE: e2 80 8b
-U+202F NARROW NO-BREAK SPACE: e2 80 af
+U+00A0 NO-BREAK SPACE:            c2 a0
+U+2007 FIGURE SPACE:              e2 80 87
+U+200B ZERO WIDTH SPACE:          e2 80 8b
+U+202F NARROW NO-BREAK SPACE:     e2 80 af
+'
+fail_with_other='
+U+000A Line feed:                 0a
+U+0085 Next line:                 85
 '
 
-utf8_space_characters=$(sed 's/.*://;s/ /\\x/g' <<\EOF
-U+0020 SPACE: 20
-U+1680 OGHAM SPACE MARK: e1 9a 80
-U+2000 EN QUAD: e2 80 80
-U+2001 EM QUAD: e2 80 81
-U+2002 EN SPACE: e2 80 82
-U+2003 EM SPACE: e2 80 83
-U+2004 THREE-PER-EM SPACE: e2 80 84
-U+2005 FOUR-PER-EM SPACE: e2 80 85
-U+2006 SIX-PER-EM SPACE: e2 80 86
-U+2008 PUNCTUATION SPACE: e2 80 88
-U+2009 THIN SPACE: e2 80 89
-U+200A HAIR SPACE: e2 80 8a
+utf8_space_characters=$(sed 's/.*://;s/ *\</\\x/g' <<\EOF
+U+0009 Horizontal Tab:            09
+U+000B Vertical Tab:              0b
+U+000C Form feed:                 0c
+U+000D Carriage return:           0d
+U+0020 SPACE:                     20
+U+1680 OGHAM SPACE MARK:          e1 9a 80
+U+2000 EN QUAD:                   e2 80 80
+U+2001 EM QUAD:                   e2 80 81
+U+2002 EN SPACE:                  e2 80 82
+U+2003 EM SPACE:                  e2 80 83
+U+2004 THREE-PER-EM SPACE:        e2 80 84
+U+2005 FOUR-PER-EM SPACE:         e2 80 85
+U+2006 SIX-PER-EM SPACE:          e2 80 86
+U+2008 PUNCTUATION SPACE:         e2 80 88
+U+2009 THIN SPACE:                e2 80 89
+U+200A HAIR SPACE:                e2 80 8a
 U+205F MEDIUM MATHEMATICAL SPACE: e2 81 9f
-U+3000 IDEOGRAPHIC SPACE: e3 80 80
+U+3000 IDEOGRAPHIC SPACE:         e3 80 80
 EOF
 )
 
 fail=0
 
 for i in $utf8_space_characters; do
-  printf "$i\n" | grep -q '^\s$' || { warn_ "$i FAILED"; fail=1; }
+  printf "$i\n" | grep -q '^\s$' \
+      || { warn_ "$i FAILED to match \\s"; fail=1; }
+  printf "$i\n" | grep -q '\S'
+  test $? = 1 \
+      || { warn_ "$i vs. \\S FAILED"; fail=1; }
 done
 
 Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 NEWS                        |    7 +++--
 bootstrap                   |   54 ++++++++++++++++++++++--------------------
 tests/multibyte-white-space |   55 ++++++++++++++++++++++++++++---------------
 tests/spencer1.tests        |    1 +
 4 files changed, 69 insertions(+), 48 deletions(-)


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]